USERADD(8)

NOME
useradd - Crea un nuovo utente o aggiorna le informazioni predefinite per i nuovi utenti

SINTASSI

useradd [-c commento] [-d home_dir]
    [-e data_scadenza] [-f tempo_inattività]
    [-g gruppo_iniziale] [-G gruppo[,...]]
    [-m [-k dir_scheletro]] [ -o] [-p password]
    [-s shell] [-u uid] login

useradd -D [-ggruppo_predefinito] [-bhome_predefinita]
    [-e data_scadenza_predefinita] [-f inattività_predefinita]
    [-s shell_predefinita]

DESCRIZIONE

  Creare Nuovi Utenti
Quando viene invocato senza l'opzione -D, il comando useradd crea un nuovo account di utente usando i valori specificati sulla linea di comando ed i valori predefiniti dal sistema. Il nuovo account di utente verrà aggiunto ai file di sistema che lo necessitano, verrà creata la home directory, e lì verranno copiati i file iniziali, a seconda delle opzioni sulla linea di comando. Le opzioni che si applicano al comando useradd sono

-c commento
    Il campo commento del nuovo utente nel file password.

-d home_dir
    Il nuovo utente verrà creato usando home_dir come valore per la directory di login dell'utente. Il comportamento predefinito è di appendere il nome login a home_predefinita ed usare quella come nome di directory di login.

-e data_scadenza
    La data in cui l'account dell'utente verrà disabilitato. La data è specificata nel formato MM/GG/AA.

-f giorni_inattività
    Il numero di giorni dopo la scadenza della password prima che l'account verrà permanentemente disabilitato. Un valore pari a 0 disabilita l'account non appena la password è scaduta, ed un valore pari a -1 disabilita questa caratteristica. Il valore predefinito è -1.

-g gruppo_iniziale
    IL nome o numero del gruppo iniziale di login dell'utente. Il nome del gruppo deve esistere. Un numero di gruppo deve fare riferimento ad un gruppo già esistente. Il numero di gruppo predefinito è 1.

-G gruppo,[...]
    Una lista di gruppi supplementari di cui l'utente è altresì membro. Ciascun gruppo è separato dal successivo da una virgola, senza spazi bianchi intermedi. I gruppi sono soggetti alle stesse restrizioni del gruppo dato con l'opzione -g. Il comportamento predefinito è che l'utente appartenga solo al gruppo iniziale.

-m  La home directory dell'utente verrà creata se non esiste. I file contenuti in dir_scheletro saranno copiati nella home directory se viene usata l'opzione -k, altrimenti verranno usati i file contenuti in /etc/skel. Anche tutte le directory contenute in dir_scheletro o /etc/skel verranno create nella home directory dell'utente. L'opzione -k è valida solo in congiunzione con l'opzione -m. Il comportamento predefinito è di non creare la directory e di non copiarvi alcun file.

-o  Allow create user with duplicate (non-unique) UID.

-p passwd
    The encrypted password, as returned by crypt(3). The default is to disable the account.

-s shell
    Il nome della shell di login dell'utente. Il comportamento predefinito è di lasciare vuoto questo campo, che fa sì che il sistema selezioni la shell di connessione predefinita.

-u uid
    Il valore numerico dell'ID dell'utente. Questo valore deve essere univoco, a meno che non venga usata l'opzione -o. Il valore deve essere non-negativo. Il comportamento predefinito è di usare il minimo valore di ID superiore a 99 e superiore a quello di ogni altro utente. Valori tra 0 e 99 sono tipicamente riservati per account di sistema.

  Cambiare i valori predefiniti
Quando invocato con l'opzione -D, useradd o mostrerà i valori predefiniti correnti, oppure aggiornerà i valori predefiniti dalla linea di comando. Le opzioni valide sono

-b home_predefinita
    Il prefisso del percorso per la home directory del nuovo utente. Il nome dell'utente verrà aggiunto alla fine di home_predefinita per creare il nome della nuova directory se non viene usata l'opzione -d quando si crea un nuovo account.

-e data_scadenza_predefinita
    La data in cui l'account dell'utente verrà disabilitato.

-f inattività_predefinita
    Il numero di giorni dopo la scadenza di una password prima che l'account venga disabilitato.

-g gruppo_predefinito
    Il nome o ID del gruppo iniziale per un nuovo utente. Il gruppo nominato deve esistere, ed un ID numerico di gruppo deve avere una voce esistente.

-s shell_predifinita
    Il nome della shell di login per un nuovo utente. Il programma nominato verrà usato per tutti gli account dei futuri nuovi utenti.

Se non è specificata alcuna opzione, useradd mostra i valori predefiniti correnti.

NOTE
L'amministratore di sistema è responsabile del posizionamento dei file predefiniti degli utenti nella directory /etc/skel.

CAVEAT
Non è possibile aggiungere un utente ad un gruppo NIS. Questo deve essere fatto sul server NIS.

FILE
/etc/passwd - informazioni sugli account utente
/etc/shadow - informazioni sicure sugli account di utenti
/etc/group - informazioni sui gruppi
/etc/default/useradd - informazioni predefinite
/etc/skel - directory contenente i file predefiniti

VEDERE ANCHE
chfn(1), chsh(1), groupadd(8), groupdel(8), groupmod(8), passwd(1), userdel(8), usermod(8)

AUTORE
Julianne Frances Haugh (jockgrrl@ix.netcom.com)

TRADUZIONE
Giovanni Bortolozzo <borto@dei.unipd.it>, 1996-1997
Roberto Pertile <triplej@iol.it>, 1999
Isabella Ruocco <isacher@nettaxi.com>, 1999
Giuseppe Sacco <eppesuig@debian.org>, 2005